# Gtk::Separator Class Reference

Separator base class. More...

Inherits Gtk::Widget, and Gtk::Orientable.

Inherited by Gtk::HSeparator, and Gtk::VSeparator.

Collaboration diagram for Gtk::Separator:
[legend]

List of all members.

## Public Member Functions

virtual | ~Separator ()
GtkSeparator* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSeparator* | gobj () const
| Provides access to the underlying C GtkObject.

## Protected Member Functions

| Separator ()

## Related Functions

(Note that these are not member functions.)
Gtk::Separator* | wrap (GtkSeparator* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Separator base class.

Abstract base class for Gtk::VSeperator and Gtk::HSeperator.

## Constructor & Destructor Documentation

virtual Gtk::Separator::~Separator | ( |  | ) | `[virtual]`

Gtk::Separator::Separator | ( |  | ) | `[protected]`

## Member Function Documentation

GtkSeparator* Gtk::Separator::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

const GtkSeparator* Gtk::Separator::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Orientable.

Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

## Friends And Related Function Documentation

Gtk::Separator* wrap | ( | GtkSeparator * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/separator.h